tar: upgraded package to upstream

Upgraded app-arch/tar to version 1.34

BUG=b/184243303
TEST=Presubmit and verified package upgraded in image
RELEASE_NOTE=Upgraded tar to 1.34

cos-patch: lts-refresh
Change-Id: I90fae6d2d3f5d56f01e0af5091aa6e4118260fc7
Reviewed-on: https://cos-review.googlesource.com/c/third_party/overlays/portage-stable/+/15471
Tested-by: Cusky Presubmit Bot <presubmit@cos-infra-prod.iam.gserviceaccount.com>
Main-Branch-Verified: Cusky Presubmit Bot <presubmit@cos-infra-prod.iam.gserviceaccount.com>
Reviewed-by: Robert Kolchmeyer <rkolchmeyer@google.com>
diff --git a/app-arch/tar/Manifest b/app-arch/tar/Manifest
index 64c7c86..0ee31a3 100644
--- a/app-arch/tar/Manifest
+++ b/app-arch/tar/Manifest
@@ -1 +1 @@
-DIST tar-1.32.tar.bz2 2947264 BLAKE2B 4e380a9a2f84a2af5130464e1b298ae6acf02ee459cbca20dd0991c2859785e5aac789d57b87b32e8b45d89985b6414af9dd37161385da9568d6030c5aa42c0e SHA512 3139e87112123269ee0600243b3ea081687cc93667bef5832bfe3c785c1be622f520f00fcfbdf44ad1d3247866d0ecfe347a85bbfec38eb38fa1014baef566f6
+DIST tar-1.34.tar.xz 2226068 BLAKE2B 741a662457509a6775338ffe5d2d84872fcf38b93ace70c8b748a81055b9b62f65a48c4e541955d08ae99e6f528509e89eacd7c799a65bcc3d017a259110c115 SHA512 5e77c4a7b49983ad7d15238c2bce28be7a8aa437b4b1815fc00abd13096da308b6bba196cc6e3ed79d85e62823d520ae0d8fcda2d93873842cf84dc3369fc902
diff --git a/app-arch/tar/tar-1.32.ebuild b/app-arch/tar/tar-1.34.ebuild
similarity index 64%
rename from app-arch/tar/tar-1.32.ebuild
rename to app-arch/tar/tar-1.34.ebuild
index 68facce..5198981 100644
--- a/app-arch/tar/tar-1.32.ebuild
+++ b/app-arch/tar/tar-1.34.ebuild
@@ -1,28 +1,31 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
 inherit flag-o-matic
 
 DESCRIPTION="Use this to make tarballs :)"
 HOMEPAGE="https://www.gnu.org/software/tar/"
-SRC_URI="mirror://gnu/tar/${P}.tar.bz2
-	mirror://gnu-alpha/tar/${P}.tar.bz2"
+SRC_URI="mirror://gnu/tar/${P}.tar.xz
+	https://alpha.gnu.org/gnu/tar/${P}.tar.xz"
 
 LICENSE="GPL-3+"
 SLOT="0"
+[[ -n "$(ver_cut 3)" ]] && [[ "$(ver_cut 3)" -ge 90 ]] || \
 KEYWORDS="*"
-IUSE="acl elibc_glibc minimal nls selinux static userland_GNU xattr"
+IUSE="acl elibc_glibc minimal nls selinux userland_GNU xattr"
 
-LIB_DEPEND="acl? ( virtual/acl[static-libs(+)] )"
-
-RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )
-	selinux? ( sys-libs/libselinux )"
+RDEPEND="
+	acl? ( virtual/acl )
+	selinux? ( sys-libs/libselinux )
+"
 DEPEND="${RDEPEND}
-	nls? ( >=sys-devel/gettext-0.10.35 )
-	static? ( ${LIB_DEPEND} )
-	xattr? ( elibc_glibc? ( sys-apps/attr ) )"
+	xattr? ( elibc_glibc? ( sys-apps/attr ) )
+"
+BDEPEND="
+	nls? ( sys-devel/gettext )
+"
 
 src_prepare() {
 	default
@@ -36,11 +39,10 @@
 }
 
 src_configure() {
-	use static && append-ldflags -static
 	local myeconfargs=(
-		--bindir="${EPREFIX%/}"/bin
+		--bindir="${EPREFIX}"/bin
 		--enable-backup-scripts
-		--libexecdir="${EPREFIX%/}"/usr/sbin
+		--libexecdir="${EPREFIX}"/usr/sbin
 		$(usex userland_GNU "" "--program-prefix=g")
 		$(use_with acl posix-acls)
 		$(use_enable nls)
@@ -68,11 +70,11 @@
 		dosym tar /bin/gtar
 	fi
 
-	mv "${ED%/}"/usr/sbin/${p}backup{,-tar} || die
-	mv "${ED%/}"/usr/sbin/${p}restore{,-tar} || die
+	mv "${ED}"/usr/sbin/${p}backup{,-tar} || die
+	mv "${ED}"/usr/sbin/${p}restore{,-tar} || die
 
 	if use minimal ; then
-		find "${ED%/}"/etc "${ED%/}"/*bin/ "${ED%/}"/usr/*bin/ \
+		find "${ED}"/etc "${ED}"/*bin/ "${ED}"/usr/*bin/ \
 			-type f -a '!' '(' -name tar -o -name ${p}tar ')' \
 			-delete || die
 	fi
diff --git a/metadata/md5-cache/app-arch/tar-1.32 b/metadata/md5-cache/app-arch/tar-1.32
deleted file mode 100644
index d30b025..0000000
--- a/metadata/md5-cache/app-arch/tar-1.32
+++ /dev/null
@@ -1,13 +0,0 @@
-DEFINED_PHASES=configure install prepare
-DEPEND=!static? ( acl? ( virtual/acl ) ) selinux? ( sys-libs/libselinux ) nls? ( >=sys-devel/gettext-0.10.35 ) static? ( acl? ( virtual/acl[static-libs(+)] ) ) xattr? ( elibc_glibc? ( sys-apps/attr ) )
-DESCRIPTION=Use this to make tarballs :)
-EAPI=6
-HOMEPAGE=https://www.gnu.org/software/tar/
-IUSE=acl elibc_glibc minimal nls selinux static userland_GNU xattr
-KEYWORDS=*
-LICENSE=GPL-3+
-RDEPEND=!static? ( acl? ( virtual/acl ) ) selinux? ( sys-libs/libselinux )
-SLOT=0
-SRC_URI=mirror://gnu/tar/tar-1.32.tar.bz2 mirror://gnu-alpha/tar/tar-1.32.tar.bz2
-_eclasses_=eutils	06133990e861be0fe60c2b428fd025d9	flag-o-matic	5d5921a298e95441da2f85be419894c0	multilib	b2f01ad412baf81650c23fcf0975fa33	toolchain-funcs	209edad4a5c4812e7b2f8021650974f0
-_md5_=fae5720f5392862256247790b01ae86c
diff --git a/metadata/md5-cache/app-arch/tar-1.34 b/metadata/md5-cache/app-arch/tar-1.34
new file mode 100644
index 0000000..d972fb4
--- /dev/null
+++ b/metadata/md5-cache/app-arch/tar-1.34
@@ -0,0 +1,14 @@
+BDEPEND=nls? ( sys-devel/gettext )
+DEFINED_PHASES=configure install prepare
+DEPEND=acl? ( virtual/acl ) selinux? ( sys-libs/libselinux ) xattr? ( elibc_glibc? ( sys-apps/attr ) )
+DESCRIPTION=Use this to make tarballs :)
+EAPI=7
+HOMEPAGE=https://www.gnu.org/software/tar/
+IUSE=acl elibc_glibc minimal nls selinux userland_GNU xattr
+KEYWORDS=*
+LICENSE=GPL-3+
+RDEPEND=acl? ( virtual/acl ) selinux? ( sys-libs/libselinux )
+SLOT=0
+SRC_URI=mirror://gnu/tar/tar-1.34.tar.xz https://alpha.gnu.org/gnu/tar/tar-1.34.tar.xz
+_eclasses_=eutils	06133990e861be0fe60c2b428fd025d9	flag-o-matic	5d5921a298e95441da2f85be419894c0	multilib	b2f01ad412baf81650c23fcf0975fa33	toolchain-funcs	209edad4a5c4812e7b2f8021650974f0
+_md5_=8b9bd6f4b240b5ce1faf1c61fec9d15e